      LOGICAL FUNCTION  UNREF (SYMHD)
C     SEARCH THE STATEMENT NUMBER LIST FOR THE SYMBOL WHOSE INDEX IN
C     DSA(*) IS SYMHD, AND DETERMINE WHETHER OR NOT THE SYMBOL IS
C     REFERENCED IN ANY EXECUTABLE STATEMENT, RETURNING .FALSE. IF
C     IT IS NOT, AND .TRUE. OTHERWISE.  IF NO STATEMENT NUMBER LIST
C     IS AVAILABLE, UNREF IS SET .FALSE.
      INTEGER SYMHD, NEXT, LAST
      INTEGER LDSA, PDSA, DSA
      COMMON /CTABL/ LDSA, PDSA, DSA(5000)
      INTEGER FSTXCT
      COMMON /FACTS2/ FSTXCT
C
      IF (FSTXCT .LE. 0) GO TO 20
      LAST = DSA(SYMHD+1)
      NEXT = LAST
      IF (NEXT .LE. 0) GO TO 30
   10 IF (FSTXCT .LE. DSA(NEXT)) GO TO 30
      NEXT = DSA(NEXT+1)
      IF (NEXT .NE. LAST) GO TO 10
   20 UNREF = .TRUE.
      GO TO 40
   30 UNREF = .FALSE.
   40 RETURN
      END
